<?php
/**
 * @package    productadvisor
 * @subpackage Models
 * @author     Matthias Drobny {@link http://www.drobny.it}
 * @author     Created on 04-Oct-2014
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');

//-- Import the class JModelList
jimport('joomla.application.component.modellist');

/**
 * productadvisorList Model.
 *
 * @package productadvisor
 * @subpackage Models
 */
class ProductadvisorModelProductattributesList extends JModelList
{
	protected $_product_id;
    /**
     * Method to build an SQL query to load the list data.
     * Funktion um einen SQL Query zu erstellen der die Daten für die Liste läd.
     *
     * @return string SQL query
     */
    protected function getListQuery()
    {
        // Ein Datenbankobjekt beziehen.
        $db = JFactory::getDBO();

        // Ein neues (leeres) Queryobjekt beziehen.
        $query = $db->getQuery(true);

        
        $query->select('a.product_id, a.attribute_catid, a.attribute_value, a.productattribute_id, c.title');
        $query->from('#__productadvisor_productattributes AS a ');
        $query->join('inner', '#__categories AS c ON c.id = a.attribute_catid');
        $query->where('a.product_id = 48');
        print_r($this);
//         $query->select('a.productattribute_id, a.product_id, a.');
// print_r($query);

        return $query;
    }
    
// 	public function setProduct_Id($id) {
// 		$this->_product_id = intval($id);
//     }
    
	public function getProductattributes() {
// 	echo $this->get('_product_id');
		$db = JFactory::getDBO();
		$query = $db->getQuery(TRUE);
// 		print_r($query);
		$query->select('a.product_id, a.attribute_catid, a.attribute_value, a.productattribute_id, c.title');
		$query->from('#__productadvisor_productattributes AS a ');
		$query->join('inner', '#__categories AS c ON c.id = a.attribute_catid');
		$query->where('a.product_id = '.$this->_product_id);
// 		return FALSE;
$db->setQuery($query);      
$rows = $db->loadObjectList();
// print_r($rows);
		return $rows;
// print_r($this->_product_id);
   }
   
   public function getGroupedAttributes($catid = NULL) {
		$db = JFactory::getDBO();
		$query = $db->getQuery(TRUE);
 		$query->select('a.attribute_value as title, a.attribute_value as id');
		$query->from('#__productadvisor_productattributes AS a ');
		if(!is_null($catid)) {
			$query->where('a.attribute_catid = '.(int) $catid);
		}
		$query->group('a.attribute_catid, a.attribute_value');
		$query->order('a.attribute_catid, a.attribute_value ASC');
		
		$db->setQuery($query);      
		$rows = $db->loadObjectList();
		// print_r($rows);
		return $rows;
 
   }
}
?>