<?php
/*------------------------------------------------------------------------
# edit.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_productadvisor/assets/js/jquery.min.js");
JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_productadvisor/assets/js/jquery-noconflict.js");
JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_productadvisor/assets/dataTables-1.7/media/js/jquery.dataTables.min.js");
JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_productadvisor/assets/dataTables-1.7/media/js/jquery.dataTables.plugin.datesortgerman.js");
JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_productadvisor/assets/dataTables-1.7/media/js/de_DE.js");

?>
<script type="text/javascript">
jQuery(document).ready(function() {
	var products_inserted = 0;
	var dt = jQuery('#productattributes').dataTable( {
		"bJQueryUI": true,
		"sPaginationType": "full_numbers",
	});
	jQuery('img.addRowIcon').click(function() {
		//	validation
		if(jQuery('#new_productattribute_catid').val()!=0) {
			dt.fnAddData([
				products_inserted--,
				jQuery('#new_productattribute_catid :selected').text(),
				jQuery('#new_productattribute_value').val(),
				'<?php echo LegendHelper::renderMultiIcon('manageitem', 'delete', array('class'=>'delRowIcon'));?>\
				<input type="hidden" name="new_productattribute_catid[]" value="' + jQuery("#new_productattribute_catid").val() + '" />\
				<input type="hidden" name="new_productattribute_value[]" value="' + jQuery("#new_productattribute_value").val() + '" />'
			]);

			//	reset
			jQuery('#new_productattribute_catid').val(0);
			jQuery('#new_productattribute_value').val('');
		}
	});

	jQuery("body").on('click', 'img.delRowIcon', function(event) {
		var aPos = dt.fnGetPosition( this.parentNode.parentNode );
		var aData = dt.fnGetData(dt.fnGetNodes( aPos ));
		jQuery('#del_productattribute_id_'+aData[0]).attr('value', true);
		dt.fnDeleteRow( aPos );
	});
});
</script>

<form action="<?php echo JRoute::_('index.php?option=com_productadvisor&layout=edit&product_id='.(int) $this->item->product_id); ?>" method="post" name="adminForm" id="adminForm">
	<div>
		<fieldset class="adminform">
			<legend><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_DETAILS' ); ?></legend>
			<div class="adminformlist">
				<div>
					<label id="jform_name-lbl" for="jform_name" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_NAME' ); ?></label>
					<input type="text" name="jform[name]" id="jform_name" value="<?php echo $this->item->name;?>"/>
				</div>
				<div class="clr"></div>
				<div>
					<label id="jform_description-lbl" for="jform_description" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_DESCRIPTION' ); ?></label>
<?php
$editor =& JFactory::getEditor();
$params = array(
	'smilies'=> '0' ,
	'style'  => '1' ,  
	'layer'  => '0' , 
	'table'  => '0' ,
	'clear_entities'=>'0'
);
echo $editor->display( 'jform[description]', $this->item->description, '550', '400', '20', '20', false, null, null, null, $params );
?>
				</div>
				<div class="clr"></div>

				<div>
					<label id="jform_order_id-lbl" for="jform_order_id" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_ORDER_ID' ); ?></label>
					<input type="text" name="jform[order_id]" id="jform_price" value="<?php echo $this->item->order_id;?>"/>
				</div>

				<div>
					<label id="jform_price-lbl" for="jform_price" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_PRICE' ); ?></label>
					<input type="text" name="jform[price]" id="jform_price" value="<?php echo $this->item->price;?>"/>
				</div>

				<div>
					<label id="jform_shopurl-lbl" for="jform_shop_url" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_SHOP_URL' ); ?></label>
					<input type="text" name="jform[shop_url]" id="jform_shop_url" value="<?php echo $this->item->shop_url;?>"/>
				</div>
				<div>
					<label id="jform_img_url-lbl" for="jform_img_url" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_PRODUCT_IMG_URL' ); ?></label>
					<input type="text" name="jform[img_url]" id="jform_img_url" value="<?php echo $this->item->img_url;?>"/>
				</div>
				<div class="clr"></div>
				<div>
					<label id="jform_catid-lbl" for="jform_catid" class=""><?php echo JText::_( 'COM_PRODUCTADVISOR_CATID' ); ?></label>
<?php
echo JHTML::_('select.genericlist',  $this->productcategories, "jform[catid]", "", "id", "title", $this->item->catid); 
?>
				</div>
			</div>
		</fieldset>
		<fieldset class="adminform" name="attributes">
			<legend><?php echo JText::_( 'COM_PRODUCTADVISOR_ATTRIBUTES' ); ?></legend>
			<table class="admintable" style="width: 100%;" id="productattributes">
				<thead>
					<tr>
						<th><?php echo JText::_( 'COM_PRODUCTADVISOR_NUM' ); ?></th>
						<th><?php echo JText::_( 'COM_PRODUCTADVISOR_ATTRIBUTE' ); ?></th>
						<th><?php echo JText::_( 'COM_PRODUCTADVISOR_ATTRIBUTEVALUE' ); ?></th>
						<th><?php echo JText::_( 'COM_PRODUCTADVISOR_DELETE' ); ?></th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td></td>
						<td><?php echo JHTML::_('select.genericlist',  $this->productattributes, "new_productattribute_catid", "", "id", "title"); ?></td>
						<td><input type="text" name="new_productattribute_value" id="new_productattribute_value" /></td>
						<td><?php echo LegendHelper::renderMultiIcon('manageitem', 'add', array('class'=>'addRowIcon'));?></td>
					</tr>
				</tfoot>
				<tbody>
		<?php
		for($i=0; $i<count($this->item->attributes); $i++) {
		?>
					<tr class="row<?php echo $i%2;?>">
						<td><?php echo $this->item->attributes[$i]->productattribute_id;?></td>
							<td><?php echo $this->item->attributes[$i]->title;?></td>
							<td><?php echo $this->item->attributes[$i]->attribute_value;?></td>
							<td><?php echo LegendHelper::renderMultiIcon('manageitem', 'delete', array('class'=>'delRowIcon'));?></td>
					</tr>
		<?php
		}
		?>
				</tbody>
			</table>
		<?php
		for($i=0; $i<count($this->item->attributes); $i++) {
		?>
			<input type="hidden" name="del_productattribute_id[<?php echo $this->item->attributes[$i]->productattribute_id;?>]" id="del_productattribute_id_<?php echo $this->item->attributes[$i]->productattribute_id;?>" value="0"/>
		<?php
		}
		?>
		</fieldset>
	</div>
	<div>
		<input type="hidden" name="jform[product_id]" id="jform_product_id" value="<?php echo intval($this->item->product_id);?>" />
		<input type="hidden" name="task" value="product.edit" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>